## xdoclet.modules.ejb.dd
Class AbstractEjbDeploymentDescriptorSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BorlandSubTask, EAServerSubTask, EjbDotXmlSubTask, HPASSubTask, JBossSubTask, JonasSubTask, JRunSubTask, MVCSoftSubTask, OC4JSubTask, OrionSubTask, PramatiSubTask, SunONESubTask, WebLogicSubTask, WebSphereSubTask

public abstract class AbstractEjbDeploymentDescriptorSubTask
extends XmlSubTask

Base class for all subtasks that generate xml-ish ejb deployment descriptors.

Version:
  $Revision: 1.6 $
Author:
  Ara Abrahamian (ara_e@email.com)
See Also:
  Serialized Form
created
  Dec 11, 2001

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`AbstractEjbDeploymentDescriptorSubTask()`

Method Summary
`protected boolean` `atLeastOneCmp1EntityBeanExists()` Describe what the method does
`protected boolean` `atLeastOneCmp2EntityBeanExists()` Describe what the method does
`protected boolean` `atLeastOneCmpEntityBeanExists()` Describe what the method does

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask

`addOfType, addOfType, addPackageSubstitution, engineStarted, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEjbDeploymentDescriptorSubTask

    public AbstractEjbDeploymentDescriptorSubTask()

Method Detail

### atLeastOneCmpEntityBeanExists

    protected boolean atLeastOneCmpEntityBeanExists()
                                             throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException`

### atLeastOneCmp1EntityBeanExists

    protected boolean atLeastOneCmp1EntityBeanExists()
                                              throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException`

### atLeastOneCmp2EntityBeanExists

    protected boolean atLeastOneCmp2EntityBeanExists()
                                              throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException`

http://xdoclet.sourceforge.net/